Page MenuHomePhabricator

partial German translation shows up in English text on wikimediafoundation.org
Closed, ResolvedPublic

Tokens
"The World Burns" token, awarded by Oshawott_12."Dislike" token, awarded by William_Avery."Heartbreak" token, awarded by XYZtSpace."Dislike" token, awarded by Xaosflux."Heartbreak" token, awarded by Az1568."Burninate" token, awarded by Niharika."Dislike" token, awarded by Jonesey95."Burninate" token, awarded by Krenair."Heartbreak" token, awarded by Aklapper."Heartbreak" token, awarded by Yair_rand."Heartbreak" token, awarded by Sharvaniharan."Heartbreak" token, awarded by Ladsgroup."Heartbreak" token, awarded by Dbrant."Heartbreak" token, awarded by DStrine."Heartbreak" token, awarded by CCogdill_WMF."Heartbreak" token, awarded by Pcoombe."Manufacturing Defect?" token, awarded by Dzahn."Dislike" token, awarded by Jc86035."Heartbreak" token, awarded by Effeietsanders."Heartbreak" token, awarded by cscott."The World Burns" token, awarded by MGChecker."Baby Tequila" token, awarded by Addshore."Love" token, awarded by Framawiki.
Assigned To
Authored By
Dzahn, Jul 31 2018

Description

On https://wikimediafoundation.org/ i see a German sentence as a header:

"Stell dir eine Welt vor, in der jeder einzelne Mensch frei an der Summe allen Wissens teilhaben kann."

The rest of the text is in English. I did not select German nor is my browser set to German or am i located in Germany. Remnants of a translated template?

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I wonder if this is the first time one of our sites

For the records, it's the website of the Foundation, not of the movement. And IMO such entities are free to use whatever works for them - for example, I don't see "source code" for https://www.wikimedia.de/ either. Please move such high-level discussion to a talk page like https://meta.wikimedia.org/wiki/Foundation_wiki_feedback or https://meta.wikimedia.org/wiki/Talk:Wikimedia_Foundation_website as it's not about German text on an English website.

https://github.com/wmde/wikimedia.de ? Easily accessible after a quick search on github, probably also linked somewhere on the site. But yes please move comments on high-level discussions.
The problem here is that many readers and contributors are thinking that this bug is important and should be solved quickly. And such volunteers would probably be happy to help, but as the source code appear to not be available, nothing can be done. We can only wait. It's a pretty rare situation in the wikimedia movement, and can be accurately marked.

@Framawiki: Thanks a lot! Mea culpa, wasn't aware of it.

Hi everyone,
The German language version of the Wikimedia vision you are seeing on the website is a writing choice, not a bug. It is entered into the CMS in the same way the rest of the writing is added to the site, and shows up exactly the way we intended and expected it to.

I would think that a "design choice" that most observers here find appears to be a bug is a poor design choice. I find it a little odd that poor design choices of this kind are supposedly not with the purview of phabricator. Since I am sure that this is not the first time a "design choice" was perceived as a bug, I am also disappointed that there isn't a way to export the comments to a more appropriate venue and to direct users to a specific page where the discussion can get attention from the responsible parties, assuming some will take responsibility.

The minimum is that this would be tagged by lang="de" as we are used to do with prominent shifts to other languages in our wiki projects.

I am in the lucky position to be native German. I would have guessed that the translation has been responsive to my Accept-Language HTTP field by Content Negotiation, and everybody is welcomed in mother tongue. This task tells me that this is not intelligent dynamics, but poorly static.

What shall people think here who are Japanese or blind? They get no clue at all.

A minimum requirement of assistive support is to tag by language and add an English translation by summary=.

Very hard to believe that an amount of donated money has been passed over to a commercial communication strategy agency to create such strange things, even more not in Wikisyntax, and to represent a community of 100.000s of content creating volunteers world wide. And not to remedy that within one or two days. Does anybody recall the meaning of wiki?

The German language version of the Wikimedia vision you are seeing on the website is a writing choice, not a bug. It is entered into the CMS in the same way the rest of the writing is added to the site, and shows up exactly the way we intended and expected it to.

Speaking as a designer and developer, all choices in product's development need to be justifiable in terms of their benefits versus their drawbacks, regardless of what aspect to which they pertain. We naturally give leeway to many potentially arbitrary decisions that do not appear to have drawbacks, but should drawbacks arise, it becomes time to reexamine these decisions fully. We may weigh some aspects over others - security over efficiency, or discoverability over beauty - but all need to be clear what purpose they serve and why this matters, such that we can make such a call and communicate it effectively such that all involved can come to a consensus. If we have a security bug that allows some users potential access to insert arbitrary html into a page, but sanitising the input requires significant extra processing, this is usually still worth it so that we can provide a more stable, less easily compromised experience to all our users. Similarly, if we have a usability problem in which many users are being confused by what is on the page, this should be considered more important than the aesthetics of the design, and resolved.

This is a usability problem. Users are confused. It needs to be fixed, ideally in a way congruous with the original intent of the design choice. Several suggestions have been provided already - how do they meet that intent? What would be needed to more fully meet that intent?

Speaking as a designer and developer, all choices in product's development need to be justifiable in terms of their benefits versus their drawbacks, regardless of what aspect to which they pertain. We naturally give leeway to many potentially arbitrary decisions that do not appear to have drawbacks, but should drawbacks arise, it becomes time to reexamine these decisions fully. We may weigh some aspects over others - security over efficiency, or discoverability over beauty - but all need to be clear what purpose they serve and why this matters, such that we can make such a call and communicate it effectively such that all involved can come to a consensus. If we have a security bug that allows some users potential access to insert arbitrary html into a page, but sanitising the input requires significant extra processing, this is usually still worth it so that we can provide a more stable, less easily compromised experience to all our users. Similarly, if we have a usability problem in which many users are being confused by what is on the page, this should be considered more important than the aesthetics of the design, and resolved.
This is a usability problem. Users are confused. It needs to be fixed, ideally in a way congruous with the original intent of the design choice. Several suggestions have been provided already - how do they meet that intent? What would be needed to more fully meet that intent?

+1 to all of this text. I wish I could give a like token to this comment.

@PerfektesChaos: Wiki vs Not-Wiki is off-topic here. See task summary and use https://meta.wikimedia.org/wiki/Talk:Wikimedia_Foundation_website instead.

Nemo_bis added a comment.EditedAug 15 2018, 5:22 AM

@PerfektesChaos: Wiki vs Not-Wiki is off-topic here.

Please retract this belittling and abusive comment against PerfektesChaos.

"Does anybody recall the meaning of wiki?" is clearly a comment on how this bug goes against Wikimedia values, e.g. because if we accept that the lack of a lang value is by design it means that we totally disregard accessibility and the website intentionally discriminates the visually impaired: an absurd. As such, it's perfectly on topic and helpful for those who may be confused.

Thank you PerfektesChaos for your constructive contribution, don't let disrespectful comments put you down. They don't represent the standard of collaboration in our technical community and should be considered exceptions (probably dictated by hurry, sleeplessness or other temporary lapse of reason).

@Nemo_bis: It is irrelevant which software is used to show a string on the website. This task is about showing a potentially confusing string on a Wikimedia website. Pointing out the correct venue for high-level discussions such as "Wikimedia values" is neither belittling nor abusive. Please refrain from posting such incorrect statements if your intention is to add constructive comments to discussions in Wikimedia Phabricator. Thanks.

@Nemo_bis: It is irrelevant which software is used to show a string on the website.

Indeed, so why do you insist that people go discuss that instead of pointing out incorrect HTML?

@Nemo_bis: I never wrote that incorrect HTML is not a bug. You may want to read my comment again and which aspect I referred to.

And not to remedy that within one or two days. Does anybody recall the meaning of wiki?

  • wiki is Hawaiian and means quick, fast.
  • WMF reads as The Quick and Fast Media Foundation.
  • From a quick and fast media foundation I would have expected that within a couple of days an asterisk has been placed there, linking within the page to a footnote: This is German and does mean…
  • Recently wiki got a further interpretation: Collaborative work, permanently improving by discussion process, to publish content.

In 1994 I set up my first homepage, like a scientific business card. By cgi-bin I evaluated the browser details and answered immediately in German, English or French, respectively. I asked partners, students, friends and neighbours for translations and finished with two dozen languages plus guessed fallbacks.

That has been two decades ago.

Nowadays I would expect the mother of Wikipedias in about 300 languages to welcome each visitor first in his own among some 20 or 50 mother tongues, derived from disclosed HTTP data, and translate a brief introduction as well, in a few major languages the entire page. This is not possible by common MediaWiki environment, but for some reason no wikisyntax is used here, and anything goes.

I found a static page, with first headline in Klingeon or other cryptic, obviously in mock-up state for several months. Professional vendors usually provide their beta out of public eyes, and switch to productive version after work has been completed and to get full payment. Perhaps volunteers do better.

Jc86035 added a subscriber: Jc86035.

Hi, any update here ? Anyone working on it ?

Please fix this obvious bug by changing the German text to English as soon as possible. Once it is changed, you will have time to develop a reader-friendly, accessible way to demonstrate that WMF projects are available in multiple languages. I can think of a few; feel free to post here if you would like ideas from your volunteer and donor community.

Well, they cannot really change it.

It is the same quotation as written in the image above. Translating into English would duplicate the sentence.

That would have been a nice feature, if people from Spain or Latin America are welcomed by translation into Spanish, and readers with japanese browser by a translated quote in Japanese. My first impression has been that I got such dynamic translation since my browser is native German.

But what to do if the visitor is English? Just omit the translation. And as long as not responsive to user tongues, just omit that headline for everybody. Seems to be hard to delete one line for the chief of a CMS software provider. Or at least appending a footnote with an explanation.

Of course they can change it. It's WordPress. It's almost as easy to change text in WordPress as it is to change text in a Wikimedia site! All they have to do is copy and paste the English over the German. This should have been done a month ago when the problem was originally pointed out.

Continued stubbornness in the face of this obvious, easily fixable usability problems is hostile to site visitors. Editor consensus within this Phab ticket is clearly in favor of fixing this problem; if this site were operated in the normal way that WM sites were operated, the text would have been changed long ago, per consensus.

After the text is fixed with a simple copy and paste, staff can work on a sophisticated, accessible method of presenting translated text in a way that conforms with modern web standards and practices.

Dzahn awarded a token.Sep 3 2018, 3:50 PM

I agree it's a silly 'feature'. But at the end of the day, it's only the WMF website, so if they strategically want to do something silly there, so be it. They heard our feedback, and decided to ignore it. Maybe they have some great ideas in mind that they don't manage to get across to us. I cannot respond but sigh.

Lets accept and move on to something more important.

I'm sorry but having a non-accessible website whose HTML doesn't comply with standards and directly attacks disabled people *is* an important thing.

Accessibility is a matter of WMF policy. Make this right, please.

https://foundation.wikimedia.org/wiki/Resolution:Nondiscrimination

This resolution creating the non discrimination policy was approved by voice vote on 14 January 2006.

Resolved that,

The Wikimedia Foundation prohibits discrimination against current or prospective users and employees on the basis of race, color, gender, religion, national origin, age, disability, sexual orientation, or any other legally protected characteristics. The Wikimedia Foundation commits to the principle of equal opportunity, especially in all aspects of employee relations, including employment, salary administration, employee development, promotion, and transfer.

Board approves by voice vote.

(emphasis added)

Dzahn added a comment.EditedSep 6 2018, 9:50 PM

Could we at least _triage_ this ticket to lowest or get some kind of response? Are the translations still coming and being worked on?

Dzahn added a comment.Sep 6 2018, 9:53 PM

No - this is a soft launch - the other languages are coming soon. More info in email coming out shortly.

It's been a while since July 30th. Is there a date for the hard launch and is that still soon?

Krinkle added a comment.EditedSep 9 2018, 2:01 AM

The German language version of the Wikimedia vision you are seeing on the website is a writing choice, not a bug. It is entered into the CMS in the same way the rest of the writing is added to the site, and shows up exactly the way we intended and expected it to.

Thanks Heather, this helps clear one of the confusions many of us had. It answers the uncertainty around whether this text was (in part) result of a mistake or defect. Thank you for that.

However, I think we'd be better able to understand and support this choice if your answered instead:

  • What high-level objective is the foreign text meant to serve?
  • What conclusion is a reader meant to draw upon seeing the foreign heading in the text?
  • Through what sequence of thoughts (or actions) do we expect a reader to reach said conclusion? (Edit: Simplified)

Note that the website is live on its canonical domain, with a homepage receiving 40,000 to 160,000 views daily (May 2018 stats). Might we consider thinking about it some more, and withdrawing the text in the interim?

Base added a subscriber: Base.Sep 9 2018, 2:42 AM
jhsoby added a subscriber: jhsoby.Sep 9 2018, 10:39 AM
Dbrant awarded a token.Sep 9 2018, 3:05 PM

I think the site looks visually appealing and functionally works well.

I would go further and say it's not. What that leaves me confused here is that the Wikimedia foundation website doesn't follow the Wikimedia foundation's design style guide. And not to mention not accessible design (T201682: Accessibility issues of new Wikimedia Foundation website (failing WCAG conformance) (tracking)). I'm trying to push more and convince communities to follow the style guide in the content (like color of templates, icons, etc.). It's harder to convince them when they point out to wikimediafoundation.org and say "they don't even follow their own design style guide"...

For the records, it's the website of the Foundation, not of the movement. And IMO such entities are free to use whatever works for them - for example, I don't see "source code" for https://www.wikimedia.de/ either. Please move such high-level discussion to a talk page like https://meta.wikimedia.org/wiki/Foundation_wiki_feedback or https://meta.wikimedia.org/wiki/Talk:Wikimedia_Foundation_website as it's not about German text on an English website.

I'm sorry for going off-topic, but I must correct this.

"All software code written by the Wikimedia Foundation is licensed under an applicable free software license. We realize our obligations not just to share code, but to cultivate a healthy community of contributors around the source code, and to work with upstream projects and contribute back improvements to their code." -- WMF Guiding Principles, unanimously approved by resolution of the Wikimedia Foundation Board. All WMF software code is unambiguously required to be open-source, period.

The design decision was made to help feature the multilingual nature of the Foundation and site (once the translations already underway are completed). We are currently working with the Audiences department on user testing, and will be considering a number of ideas as a part of that multimonth process. We appreciate the feedback provided on Phabricator, email, and Meta-Wiki - and will utilize it and the data collected from user testing to best inform any changes made. Put another way, we are working to make data informed decisions that support our goals for the site.

We want to respect the setup of Phabricator and not cross-topics on this thread. However, we recognize there are questions asked here which have been answered elsewhere, and folks may not realize that, so here are some related tickets:
Accessibility - T201682
Source code - T201572
Design guide - T201034
Main page with information on overall effort and soft launch - https://meta.wikimedia.org/wiki/Wikimedia_Foundation_website/2017-2018_update

Az1568 added a subscriber: Az1568.Oct 7 2018, 9:00 PM

Just note that we've received recently an email on otrs from a French reader that don't understand why English text pop up on his screen... and it's hard to find a good answer to this question.

That's not a bug - it is a design feature. Once the translations are completed - you will see them integrated across the design. :)

the other languages are coming soon. More info in email coming out shortly.

When is "shortly"? It's been over 3 months. Is this declined? Should i unsubscribe as the author of this ticket?

Please take a look at the number of sad tokens this has. Are you sure you want to keep this "feature"?

We appreciate the feedback provided on Phabricator, email, and Meta-Wiki - and will utilize it and the data collected from user testing to best inform any changes made

Anecdotally, after 2.5 months I still find the German text jarring every time I pull up the homepage. From the perspective of the "Don't make me think" web usability philosophy, the different-language-text-in-h2 implementation manages to stop me in my tracks every time :)

If the WMF is unwilling to "fix" it, couldn't at least a few other languages be added? I'm sure there are at least a couple of volunteers a few clicks away who would be willing to translate one sentence into their first language for free.

This comment was removed by Dzahn.
Dzahn removed a subscriber: Dzahn.Oct 29 2018, 11:44 PM

It really nonsense for me to read a Germany text in a English hompage without any context as what is it's meaning or purpose.

Exactly six months have passed since reporting this issue which seems easy to fix. Given the number of people (volunteers, staff, etc.) who are unhappy, is there any way to move forward here?

It's pretty wild that this task remains unresolved. It was reported in July 2018 and we're entering April 2019 next week. Eight months!

It's also pretty wild that there's an entire "communications" team within Wikimedia Foundation Inc., a team composed of a dozen staff members, and none of them seem concerned with this glaring issue on the home page. And even more to the point, the "communications" team has gone quiet on this task.

It is possible that the situation has deteriorated. I don't remember if the foreign-language text was present in the gray-on-white subheaders last summer, but now I'm seeing things like:

<h3 class="h3 color-gray uppercase">Connect — <span>Échanger</span></h3>

What I think I see is foreign-language text wrapped in empty span tags that are not marked as foreign-language text.

Luckily, this marking problem should be easy to fix. The helpful folks at W3C have provided clear guidance:

https://www.w3.org/International/questions/qa-html-language-declarations

Always use a language attribute on the html tag to declare the default language of the text in the page. When the page contains content in another language, add a language attribute to an element surrounding that content.

Please tag the foreign-language text on the site. Most or all of the span tags are already there; just add lang="fr" (change the code to match the language, of course) to the span tags. You can do this; it will be an easy win. Thanks.

Oshawott_12 added a subscriber: Oshawott_12.

Notice the lack of a lang attribute, which means the root lang will apply:

<html lang="en-US">

The bug was recently worsened by adding even more content without language tagging:

<div class="vision_container">
						<h1 class="vision is_visible" style="display: none;">Imagine a world in which every single human being can freely share in the sum of all knowledge.</h1><h1 class="vision " style="display: none;">すべての人間がすべての知識の合計を自由に共有できる世界を想像してください。</h1><h1 class="vision " style="display: none;">Imaginez le monde dans lequel chaque être humain peut partager librement la somme de toutes les connaissances.</h1><h1 class="vision " style="display: none;">उस दुनिया की कल्पना करें जिसमें हर एक इंसान स्वतंत्र रूप से सभी ज्ञान के योग में साझा कर सकता है।</h1><h1 class="vision " style="display: block;">Imagine el mundo en el que cada ser humano puede compartir libremente la suma de todo el conocimiento.</h1>					</div>

I do confirm that the 2018 state has been present end of June, beginning of July 2019.

  • The Code of Conduct issue in this task with ban for unspecified durance triggered by a 4Lword came up to my mind in the similar FRAMBAN case.
  • I checked this task and the homepage several times.
  • Congratulations, it took almost twelve months to publish a simple fix.

Now we have a different issue, if a am not tricked out by some script blocking?

  • In the upper right corner there is a language selection gadget icon.
  • The drop down option list is disabled by: display:none
  • Either I make both option list and selection gadget disappear, or I would enable both.
  • Once again a deliberate and intended design decision by the department for higher reasons.
  • I guess in 2020 we can revisit that page and see the selection working

With the new design, I think this can be marked as resolved?

The text in the yellow box animates between different languages, and I think it is clear now that this is an intentional design, rather than a translation mistake.


@Nemo_bis I was going to ask you to file a separate task about it – while I think that would be below our standard, it's a separate problem from the design being crazy. But then I noticed that it has apparently already been fixed, and the different texts are now marked up with lang attributes. Nice.

(I'll note that there are also little foreign language insertions in headings, and those are not marked up with lang attributes yet!)

@PerfektesChaos The language selection dropdown works correctly for me. Perhaps that was also fixed already (5 months ahead of your schedule ;) )? If you still see that problem, can you file a separate task with a screenshot?

Calling out the different language in the yellow box seems to fix the UX issue of "why is there some foreign text here"

Varnent closed this task as Resolved.Jul 11 2019, 11:43 PM
Varnent claimed this task.

We appreciate all of the feedback which helped us arrive at our latest design. As others have noted, the primary issue raised in this ticket appears to be resolved. I am therefore closing this ticket. If there are other issues, please note them in new or other related tickets.

As recommended above, I did open T227872 for the language selection dropdown issue.

Thanks! And I filed the language markup problem as T227895.